## gvm-tools 21.1.0

=== scripts/requirements.txt ===
# required for monthly-report and monthly-report2
terminaltables

## gvm-tools 2.0.0

=== debian/changelog ===
gvm-tools (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild to get into testing.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 06 Aug 2020 14:40:56 +0200

gvm-tools (2.0.0-1) unstable; urgency=medium

  * Team upload

  [ Sophie Brun ]
  * Initial release (Closes: 950215)
  * Fix the patch for the test with correct path to unix-socket

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

  [ Raphaël Hertzog ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 31 Jul 2020 16:00:01 +0200

=== debian/control ===
Source: gvm-tools
Section: net
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>,
           Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
	       dh-python,
	       pkg-config,
	       python3-all,
	       python3-gvm,
	       python3-setuptools,
	       python3-sphinx
Standards-Version: 4.5.0
Homepage: https://www.greenbone.net/
Vcs-Git: https://salsa.debian.org/pkg-security-team/gvm-tools.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvm-tools

Package: gvm-tools
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Remote control the Greenbone Vulnerability Manager
 The Greenbone Vulnerability Management Tools or gvm-tools in short are a
 collection of tools that help with remote controlling a Greenbone Security
 Manager (GSM) appliance and its underlying Greenbone Vulnerability Manager
 (GVM). The tools essentially aid accessing the communication protocols GMP
 (Greenbone Management Protocol) and OSP (Open Scanner Protocol).
 .
 This module is comprised of interactive and non-interactive clients. The
 programming language Python is supported directly for interactive scripting.
 But it is also possible to issue remote GMP/OSP commands without programming
 in Python.

=== debian/rules ===
#!/usr/bin/make -f


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_missing:
	dh_missing --list-missing

## gvm-tools 20.10.1

=== debian/changelog ===
gvm-tools (20.10.1-1) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Mark a patch as not needing to be forwarded
  * Bump Standards-Version to 4.5.1
  * Switch to debhelper compat level 13

  [ Sophie Brun ]
  * Add a README.Debian to document the _gvm user usage
  * New upstream version 20.10.1
  * Update debian/copyright
  * Update minimal required version of python-gvm
  * Refresh patches
  * Add a setup.py
  * Fix documentation build
  * Add missing dep python3-terminaltables for scripts
  * wrap-and-sort
  * Install scripts in /usr/share/gvm-tools, not as Python3 package

  [ SZ Lin (林上智) ]
  * I am no longer using this package, and thus remove my name from the
    uploaders field due to time constraints

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 03 Dec 2020 15:26:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,23 +2,25 @@
 Section: net
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>,
-           Sophie Brun <sophie@offensive-security.com>
-Build-Depends: debhelper-compat (= 12),
-	       dh-python,
-	       pkg-config,
-	       python3-all,
-	       python3-gvm,
-	       python3-setuptools,
-	       python3-sphinx
-Standards-Version: 4.5.0
+Uploaders: Sophie Brun <sophie@offensive-security.com>
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
+               pkg-config,
+               python3-all,
+               python3-gvm (>= 20.9.1),
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 4.5.1
 Homepage: https://www.greenbone.net/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gvm-tools.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvm-tools
 
 Package: gvm-tools
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: python3-terminaltables,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Description: Remote control the Greenbone Vulnerability Manager
  The Greenbone Vulnerability Management Tools or gvm-tools in short are a
  collection of tools that help with remote controlling a Greenbone Security

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 override_dh_missing:
 	dh_missing --list-missing
+
+override_dh_install:
+	dh_install -Xrequirement -XREADME

## gvm-tools 21.1.0

=== debian/changelog ===
gvm-tools (21.1.0-1) unstable; urgency=medium

  * New upstream version 21.1.0
  * Update debian/copyright
  * Refresh patches
  * Add scripts in builddir for test

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Jan 2021 17:19:49 +0100

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Package: gvm-tools
 Architecture: all
 Depends: python3-terminaltables,
+         python3-lxml,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 
+export PYBUILD_BEFORE_TEST=cp -r {dir}/scripts {build_dir}
+export PYBUILD_AFTER_TEST=rm -r {build_dir}/scripts
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## gvm-tools 21.6.1

=== debian/changelog ===
gvm-tools (21.6.1-1) unstable; urgency=medium

  * New upstream version 21.6.1
  * Update required version of python3-gvm
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Aug 2021 11:40:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                pkg-config,
                python3-all,
-               python3-gvm (>= 20.9.1),
+               python3-gvm (>= 21.5.0),
                python3-setuptools,
                python3-sphinx
 Standards-Version: 4.5.1

## gvm-tools 21.10.0

=== debian/changelog ===
gvm-tools (21.10.0-1) unstable; urgency=medium

  * New upstream version 21.10.0
  * Refresh patches
  * Bump Standards-Version to 4.6.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Oct 2021 11:27:48 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-gvm (>= 21.5.0),
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.greenbone.net/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gvm-tools.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvm-tools

## gvm-tools 22.6.0

=== scripts/requirements.txt ===
# required for monthly-report and monthly-report2
terminaltables
# required for create-cve-report-from-json
cpe

## gvm-tools 22.6.1

=== debian/changelog ===
gvm-tools (22.6.1-1) unstable; urgency=medium

  * New upstream version 22.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Jun 2022 14:43:27 +0200

gvm-tools (22.6.0-1) unstable; urgency=medium

  * New upstream version 22.6.0
  * Update debian/copyright
  * Remove useless patch add-setup.py.patch
  * Use poetry to build the package

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 17 Jun 2022 17:43:33 +0200

gvm-tools (21.10.0-2) unstable; urgency=medium

  * Improve README.Debian
  * Fix tests in Python 3.10

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 May 2022 12:37:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pkg-config,
+	       pybuild-plugin-pyproject,
                python3-all,
                python3-gvm (>= 21.5.0),
+	       python3-poetry-core,
                python3-setuptools,
                python3-sphinx
 Standards-Version: 4.6.0

## gvm-tools 22.9.0

=== debian/changelog ===
gvm-tools (22.9.0-2) unstable; urgency=medium

  * Fix the tests with Python >=3.10
  * Bump Standards-Version to 4.6.2 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 26 Jan 2023 14:52:09 +0100

gvm-tools (22.9.0-1) unstable; urgency=medium

  * New upstream version 22.9.0
  * Refresh patches
  * Remove unavailable theme used in docs
  * Bump Standards-Version to 4.6.1 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Jan 2023 16:40:50 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	       python3-poetry-core,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://www.greenbone.net/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gvm-tools.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvm-tools

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gvm-tools-$1.tar.gz%" \
    https://github.com/greenbone/gvm-tools/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## gvm-tools 23.4.0

=== debian/changelog ===
gvm-tools (23.4.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:28:08 +0200

gvm-tools (23.4.0-0kali2) kali-dev; urgency=medium

  * Update README.debian

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Jul 2023 09:20:12 +0200

gvm-tools (23.4.0-0kali1) kali-experimental; urgency=medium

  * New upstream version 23.3.0
  * Update debian/copyright
  * Refresh patches
  * New upstream version 23.4.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Apr 2023 09:38:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkg-config,
 	       pybuild-plugin-pyproject,
                python3-all,
-               python3-gvm (>= 21.5.0),
+               python3-gvm (>= 23.4.2),
 	       python3-poetry-core,
                python3-setuptools,
                python3-sphinx

## gvm-tools 23.11.0

=== debian/changelog ===
gvm-tools (23.11.0-1) unstable; urgency=medium

  * New upstream version 23.11.0
  * Update debian/copyright
  * Refresh patches
  * Update minimal required version of python3-gvm
  * Update debian/README.Debian for gvm 22.5
  * Add missing build-dep python3-myst-parser

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Nov 2023 15:08:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	       pybuild-plugin-pyproject,
                python3-all,
                python3-gvm (>= 23.4.2),
+	       python3-myst-parser,
 	       python3-poetry-core,
                python3-setuptools,
                python3-sphinx

## gvm-tools 24.3.0

=== debian/changelog ===
gvm-tools (24.3.0-1) unstable; urgency=medium

  * Replace build-dep pkg-config with pkgconf
  * New upstream version 24.3.0
  * Refresh patches
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 09:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               pkg-config,
+               pkgconf,
 	       pybuild-plugin-pyproject,
                python3-all,
                python3-gvm (>= 23.4.2),

## gvm-tools 24.8.0

=== debian/changelog ===
gvm-tools (24.8.0-1) unstable; urgency=medium

  * New upstream version 24.8.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Oct 2024 11:40:47 +0200

gvm-tools (24.7.0-1) unstable; urgency=medium

  * New upstream version 24.7.0
  * Bump Standards-Version to 4.7.0 (no change)
  * Override false-positive lintian information
  * Update minimal required version ot python3-gvm

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Aug 2024 16:11:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                pkgconf,
 	       pybuild-plugin-pyproject,
                python3-all,
-               python3-gvm (>= 23.4.2),
+               python3-gvm (>= 24.7.0),
 	       python3-myst-parser,
 	       python3-poetry-core,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.greenbone.net/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gvm-tools.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvm-tools

## gvm-tools 25.3.0

=== docs/requirements.txt ===
sphinx
furo

=== debian/changelog ===
gvm-tools (25.3.0-1) unstable; urgency=medium

  * New upstream version 25.3.0
  * update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 24 Apr 2025 16:16:07 +0200

gvm-tools (25.1.1-1) unstable; urgency=medium

  * New upstream version 25.1.1
  * Bump Standards-Version to 4.7.2 (no change)
  * Remove obsolete lintian-overrides
  * Update FSF address in debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 24 Apr 2025 11:22:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	       python3-poetry-core,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.greenbone.net/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gvm-tools.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gvm-tools

## gvm-tools 25.3.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

livehtml:
	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile livehtml

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
gvm-tools (25.3.2-1) unstable; urgency=medium

  * Update my email
  * New upstream version 25.3.2

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 16:32:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pkgconf,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export PYBUILD_BEFORE_TEST=cp -r {dir}/scripts {build_dir}
 export PYBUILD_AFTER_TEST=rm -r {build_dir}/scripts
+export PYBUILD_SYSTEM=pyproject
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: gvm-script -h && gvm-pyshell -h && gvm-cli -h
Restrictions: superficial

## gvm-tools 25.4.1

=== debian/changelog ===
gvm-tools (25.4.1-1) unstable; urgency=medium

  * New upstream version 25.4.1
  * Update debian/watch to Version 5
  * Fix permissions
  * Switch to python3-terminaltables3 (Closes: #1114546)

 -- Sophie Brun <sophie@kali.org>  Thu, 06 Nov 2025 11:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 Package: gvm-tools
 Architecture: all
-Depends: python3-terminaltables,
+Depends: python3-terminaltables3,
          python3-lxml,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,8 @@
 
 override_dh_install:
 	dh_install -Xrequirement -XREADME
+
+execute_after_dh_fixperms:
+	chmod 644 debian/gvm-tools/usr/share/gvm-tools/*.gmp.py
+	chmod 644 debian/gvm-tools/usr/share/gvm-tools/start-scans-from-csv.py
+	chmod 644 debian/gvm-tools/usr/share/gvm-tools/stop-scans-from-csv.py

=== debian/watch ===
Version: 5
Template: Github
Owner: greenbone
Project: gvm-tools

## gvm-tools 25.4.4

=== debian/changelog ===
gvm-tools (25.4.4-1) unstable; urgency=medium

  * New upstream version 25.4.4
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Wed, 17 Dec 2025 11:43:11 +0100

## gvm-tools 25.4.5

=== debian/changelog ===
gvm-tools (25.4.5-1) unstable; urgency=medium

  * New upstream version 25.4.5

 -- Sophie Brun <sophie@kali.org>  Wed, 28 Jan 2026 15:39:41 +0100

## gvm-tools 25.4.6

=== debian/changelog ===
gvm-tools (25.4.6-1) unstable; urgency=medium

  * New upstream version 25.4.6

 -- Sophie Brun <sophie@kali.org>  Wed, 25 Feb 2026 15:20:00 +0100
